############################################################
#
# type definition pro_declaration_component_dirperm
#
# RESPONSIBLE: Charles Loomis <charles.loomis@cern.ch>
#
# AUTHOR: Charles Loomis <charles.loomis@cern.ch>
#
# VERSION : 1.0.4
#
# Translation of edg-lcfg-dirperm written by David Groep
# <davidg@nikhef.nl>.
#
############################################################

declaration template pro_declaration_component_dirperm;

include pro_declaration_structures;

define type structure_dirperm_entry = {
        "path"       : string
        "perm"       : string with match(self, "0[0-7]{3,3}")
        "owner"      : string with match(self, "\\w+(:\\w+)?")
        "type"       : string with match(self, "d|f")
        "initdir"    ? string[] 
};

define type component_dirperm = {
	include structure_component
        "paths"      ? structure_dirperm_entry[]
};

type "/software/components/dirperm" = component_dirperm;


